Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.addressing.soap
Class SoapFault

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.muse.ws.addressing.soap.SoapFault

All Implemented Interfaces:
  java.io.Serializable, XmlSerializable

Direct Known Subclasses:
  BaseFault

public class SoapFault
extends java.lang.Exception
implements XmlSerializable

This class represents a the SOAP fault type defined in SOAP 1.2.

Author:
  Dan Jemiolo (danj)
See Also:
  Serialized Form

Constructor Summary
`SoapFault(org.w3c.dom.Element xml)`
`SoapFault(java.lang.String message)`
`SoapFault(java.lang.String message, java.lang.Throwable cause)`
`SoapFault(java.lang.Throwable cause)`

Method Summary
`QName` | `getCode()`
`org.w3c.dom.Element` | `getDetail()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getNodeURI()`
`java.lang.String` | `getReason()`
`java.lang.String` | `getRoleURI()`
`QName` | `getSubCode()`
`void` | `setCode(QName code)`
`void` | `setDetail(org.w3c.dom.Element detail)`
`void` | `setNodeURI(java.lang.String nodeURI)`
`void` | `setReason(java.lang.String reason)`
`void` | `setRoleURI(java.lang.String roleURI)`
`void` | `setSubCode(QName subCode)`
`org.w3c.dom.Element` | `toXML()` Converts this object into an XML representation, as defined by its related schema or specification.
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document doc)` Converts this object into an XML representation, as defined by its related schema or specification.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SoapFault

    public SoapFault(org.w3c.dom.Element xml)

### SoapFault

    public SoapFault(java.lang.String message)

### SoapFault

    public SoapFault(java.lang.String message,
                     java.lang.Throwable cause)

### SoapFault

    public SoapFault(java.lang.Throwable cause)

Method Detail

### getCode

    public QName getCode()

### setCode

    public void setCode(QName code)

### getDetail

    public org.w3c.dom.Element getDetail()

### setDetail

    public void setDetail(org.w3c.dom.Element detail)

### getMessage

    public java.lang.String getMessage()

### getNodeURI

    public java.lang.String getNodeURI()

### setNodeURI

    public void setNodeURI(java.lang.String nodeURI)

### getReason

    public java.lang.String getReason()

### setReason

    public void setReason(java.lang.String reason)

### getRoleURI

    public java.lang.String getRoleURI()

### setRoleURI

    public void setRoleURI(java.lang.String roleURI)

### getSubCode

    public QName getSubCode()

### setSubCode

    public void setSubCode(QName subCode)

### toXML

    public org.w3c.dom.Element toXML()

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Returns:
    An XML representation of this object.

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document doc)

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Parameters:
    `doc` - The DOM Document that will be used to create all of the nodes in the resulting XML fragment.
  Returns:
    An XML representation of this object.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD